File: control

package info (click to toggle)
cyrus-sasl2 2.1.27+dfsg-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 19,700 kB
  • sloc: ansic: 58,924; sh: 4,843; java: 1,614; xml: 1,498; makefile: 1,265; python: 350; perl: 199
file content (201 lines) | stat: -rw-r--r-- 7,215 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
Source: cyrus-sasl2
Section: libs
Priority: standard
Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
Uploaders: Fabian Fagerholm <fabbe@debian.org>,
           Roberto C. Sanchez <roberto@debian.org>,
           Ondřej Surý <ondrej@debian.org>,
           Adam Conrad <adconrad@0c3.net>
Standards-Version: 4.3.0.1
Build-Depends: chrpath,
               debhelper-compat (= 12),
               default-libmysqlclient-dev <!pkg.cyrus-sasl2.nosql> | libmysqlclient-dev <!pkg.cyrus-sasl2.nosql>,
               docbook-to-man,
               groff-base,
               heimdal-multidev <!pkg.cyrus-sasl2.nogssapi>,
               krb5-multidev <!pkg.cyrus-sasl2.nogssapi>,
               libdb-dev,
               libkrb5-dev <!pkg.cyrus-sasl2.nogssapi>,
               libldap2-dev <!pkg.cyrus-sasl2.noldap>,
               libpam0g-dev,
               libpod-pom-view-restructured-perl,
               libpq-dev <!pkg.cyrus-sasl2.nosql>,
               libsqlite3-dev,
               libssl-dev,
               po-debconf,
               python3-sphinx,
               quilt
Build-Conflicts: heimdal-dev
Vcs-Browser: https://salsa.debian.org/debian/cyrus-sasl2
Vcs-Git: https://salsa.debian.org/debian/cyrus-sasl2.git
Homepage: https://www.cyrusimap.org/sasl/

Package: sasl2-bin
Section: utils
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: db-util,
         libsasl2-2 (>= ${binary:Version}),
         lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - administration programs for SASL users database
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains administration programs for the SASL users
 database and common binary files for plugin modules.

Package: cyrus-sasl2-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Cyrus SASL - documentation
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package contains documentation for system administrators.

Package: libsasl2-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libsasl2-modules-db (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libsasl2-modules (>= ${binary:Version})
Breaks: postfix (<= 2.8.3-1),
        slapd (<= 2.4.25-3)
Replaces: libsasl2
Description: Cyrus SASL - authentication abstraction library
 This is the Cyrus SASL API implementation, version 2.1.
 .
 SASL is the Simple Authentication and Security Layer, a method for
 adding authentication support to connection-based protocols. To use
 SASL, a protocol includes a command for identifying and
 authenticating a user to a server and for optionally negotiating
 protection of subsequent protocol interactions. If its use is
 negotiated, a security layer is inserted between the protocol and the
 connection. See RFC 2222 for more information.
 .
 Any of: ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI (MIT or Heimdal
 Kerberos 5), NTLM, OTP, PLAIN, or LOGIN can be used.

Package: libsasl2-modules
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal,
          libsasl2-modules-ldap,
          libsasl2-modules-otp,
          libsasl2-modules-sql
Breaks: logcheck-database (<= 1.3.16~)
Description: Cyrus SASL - pluggable authentication modules
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the following SASL modules: LOGIN, PLAIN, ANONYMOUS,
 NTLM, CRAM-MD5, and DIGEST-MD5 (with DES support).

Package: libsasl2-modules-db
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - pluggable authentication modules (DB)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the DB plugin, which supports Berkeley DB lookups.

Package: libsasl2-modules-ldap
Priority: optional
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Build-Profiles: <!pkg.cyrus-sasl2.noldap>
Description: Cyrus SASL - pluggable authentication modules (LDAP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the LDAP plugin, which supports OpenLDAP.

Package: libsasl2-modules-otp
Priority: optional
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus SASL - pluggable authentication modules (OTP)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the OTP plugin, which supports one time passwords.

Package: libsasl2-modules-sql
Priority: optional
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Build-Profiles: <!pkg.cyrus-sasl2.nosql>
Description: Cyrus SASL - pluggable authentication modules (SQL)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the SQL plugin, which supports MySQL, PostgreSQL
 and SQLite.

Package: libsasl2-modules-gssapi-mit
Priority: optional
Architecture: any
Multi-Arch: same
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libsasl2-modules-gssapi-heimdal
Build-Profiles: <!pkg.cyrus-sasl2.nogssapi>
Description: Cyrus SASL - pluggable authentication modules (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the MIT
 Kerberos 5 library.

Package: libsasl2-dev
Section: libdevel
Architecture: any
Priority: optional
Depends: libc6-dev,
         libsasl2-2 (= ${binary:Version}),
         ${misc:Depends}
Description: Cyrus SASL - development files for authentication abstraction library
 This is the Cyrus SASL API implementation, version 2. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package includes development files for compiling programs with SASL
 support. It is needed for development purposes only.

Package: libsasl2-modules-gssapi-heimdal
Architecture: any
Multi-Arch: same
Priority: optional
Depends: libsasl2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libsasl2-modules-gssapi-mit
Build-Profiles: <!pkg.cyrus-sasl2.nogssapi>
Description: Pluggable Authentication Modules for SASL (GSSAPI)
 This is the Cyrus SASL API implementation, version 2.1. See package
 libsasl2-2 and RFC 2222 for more information.
 .
 This package provides the GSSAPI plugin, compiled with the Heimdal
 Kerberos 5 library.